Plot HomeDocumentation
Teams

List Teams

Retrieves a paginated list of visible teams in the workspace (non-private teams, plus private teams the user is a member of).

GET
/v1/teams/list

Retrieves a paginated list of visible teams in the workspace (non-private teams, plus private teams the user is a member of).

Query Parameters

includeArchived?string

Include archived teams

Value in"true" | "false"
includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

Value in"true" | "false"
expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (members,taskStatuses,taskLabels)

Default"all"
cursor?string

Cursor for pagination

offset?|

Offset for pagination

Range0 <= value
limit?integer

Number of results to return (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/teams/list"
{  "data": [    {      "id": "string",      "name": "string",      "publicId": "str",      "icon": "string",      "color": "string",      "privacy": "workspace",      "archivedAt": "2019-08-24T14:15:22Z",      "members": [        {          "id": "string",          "role": "string",          "username": "string",          "email": "user@example.com",          "lastAccessedAt": "string",          "createdAt": "string"        }      ],      "taskStatuses": [        {          "id": "string",          "name": "string",          "stage": "string",          "color": "string"        }      ],      "taskLabels": [        {          "id": "string",          "color": "icon-secondary",          "name": "string"        }      ]    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}